$missionName = "Titan Training";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
   $server::TeamPlay = false;
   $server::AllowDeathmatch = true;
   $server::AllowTeamPlay = true;	
	
   $server::AllowTeamRed = true;
   $server::AllowTeamBlue = false;
   $server::AllowTeamYellow = false;
   $server::AllowTeamPurple = false;

   $server::disableTeamYellow = true;
   $server::disableTeamBlue = true;
   $server::disableTeamRed = false;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
   earthquakeSounds();
   titanSounds();
}

function onMissionLoad()
{
   cdAudioCycle("Cloudburst", "Terror", "Watching"); 

   order("MissionGroup/Miners",speed,high);
   order("MissionGroup/MinerShips",speed,medium);
   order("MissionGroup/Backup",speed,medium);
   order("MissionGroup/Misc",speed,low);

   schedule( "order(\"MissionGroup/Miners\",guard,\"MissionGroup/Miners/Path\");", 100);
   schedule( "order(\"MissionGroup/MinerShips\",guard,\"MissionGroup/MinerShips/Path\");", 100);
   schedule( "order(\"MissionGroup/Backup\",guard,\"MissionGroup/Backup/Path\");", 300);
   schedule( "order(\"MissionGroup/Misc\",guard,\"MissionGroup/Misc/Path\");", 200);
}

//